AbstractParserEventStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.parser

## Class AbstractParserEventStream

- java.lang.Object
- - opennlp.tools.util.AbstractEventStream<Parse>
  - - opennlp.tools.parser.AbstractParserEventStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<Event>
  Direct Known Subclasses:
    ParserEventStream, ParserEventStream

      public abstract class AbstractParserEventStream
      extends AbstractEventStream<Parse>

  Abstract class extended by parser event streams which perform tagging and chunking.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractParserEventStream(ObjectStream<Parse> d, HeadRules rules, ParserEventTypeEnum etype)`
    `AbstractParserEventStream(ObjectStream<Parse> d, HeadRules rules, ParserEventTypeEnum etype, Dictionary dict)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Parse[]` | `getInitialChunks(Parse p)`

    - ### Methods inherited from class opennlp.tools.util.AbstractEventStream

      `close, read, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractParserEventStream

          public AbstractParserEventStream(ObjectStream<Parse> d,
                                           HeadRules rules,
                                           ParserEventTypeEnum etype,
                                           Dictionary dict)

    - #### AbstractParserEventStream

          public AbstractParserEventStream(ObjectStream<Parse> d,
                                           HeadRules rules,
                                           ParserEventTypeEnum etype)

  - ### Method Detail

    - #### getInitialChunks

          public static Parse[] getInitialChunks(Parse p)

Copyright © 2026 The Apache Software Foundation. All rights reserved.